Bug 201894 - archivers/zopfli: update to git master in order to get shared library
Summary: archivers/zopfli: update to git master in order to get shared library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 201895 201934 201935
  Show dependency treegraph
 
Reported: 2015-07-26 17:35 UTC by Jan Beich
Modified: 2015-08-16 03:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
v1 (3.18 KB, patch)
2015-07-26 17:35 UTC, Jan Beich
no flags Details | Diff
84amd64 poudriere bulk -t log (13.84 KB, patch)
2015-07-26 17:38 UTC, Jan Beich
no flags Details | Diff
93i386 poudriere bulk -t log (13.55 KB, patch)
2015-07-26 17:38 UTC, Jan Beich
no flags Details | Diff
101amd64 poudriere bulk -t log (13.86 KB, patch)
2015-07-26 17:39 UTC, Jan Beich
no flags Details | Diff
101i386 poudriere bulk -t log (14.01 KB, patch)
2015-07-26 17:39 UTC, Jan Beich
no flags Details | Diff
head_i386 poudriere bulk -t log (14.16 KB, patch)
2015-07-26 17:39 UTC, Jan Beich
no flags Details | Diff
84amd64 poudriere bulk -t log (13.87 KB, text/plain)
2015-07-26 18:18 UTC, Jan Beich
no flags Details
93i386 poudriere bulk -t log (13.56 KB, text/plain)
2015-07-26 18:18 UTC, Jan Beich
no flags Details
101amd64 poudriere bulk -t log (13.86 KB, text/plain)
2015-07-26 18:18 UTC, Jan Beich
no flags Details
101i386 poudriere bulk -t log (14.04 KB, text/plain)
2015-07-26 18:18 UTC, Jan Beich
no flags Details
head_i386 poudriere bulk -t log (14.16 KB, text/plain)
2015-07-26 18:18 UTC, Jan Beich
no flags Details
102amd64 poudriere bulk -t log (13.89 KB, text/plain)
2015-07-28 05:10 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-07-26 17:35:00 UTC
Created attachment 159249 [details]
v1

libzopfli maybe useful for either porting new software or converting existing ports to system library.
Comment 1 Jan Beich freebsd_committer 2015-07-26 17:38:55 UTC
Created attachment 159250 [details]
84amd64 poudriere bulk -t log
Comment 2 Jan Beich freebsd_committer 2015-07-26 17:38:58 UTC
Created attachment 159251 [details]
93i386 poudriere bulk -t log
Comment 3 Jan Beich freebsd_committer 2015-07-26 17:39:01 UTC
Created attachment 159252 [details]
101amd64 poudriere bulk -t log
Comment 4 Jan Beich freebsd_committer 2015-07-26 17:39:04 UTC
Created attachment 159253 [details]
101i386 poudriere bulk -t log
Comment 5 Jan Beich freebsd_committer 2015-07-26 17:39:07 UTC
Created attachment 159254 [details]
head_i386 poudriere bulk -t log
Comment 6 Jan Beich freebsd_committer 2015-07-26 18:16:13 UTC
Comment on attachment 159250 [details]
84amd64 poudriere bulk -t log

Oops, forgot to add -C to |poudriere bulk| builds to kill packages against v0 patch. Re-uploading the logs.
Comment 7 Jan Beich freebsd_committer 2015-07-26 18:18:25 UTC
Created attachment 159257 [details]
84amd64 poudriere bulk -t log
Comment 8 Jan Beich freebsd_committer 2015-07-26 18:18:28 UTC
Created attachment 159258 [details]
93i386 poudriere bulk -t log
Comment 9 Jan Beich freebsd_committer 2015-07-26 18:18:31 UTC
Created attachment 159259 [details]
101amd64 poudriere bulk -t log
Comment 10 Jan Beich freebsd_committer 2015-07-26 18:18:34 UTC
Created attachment 159260 [details]
101i386 poudriere bulk -t log
Comment 11 Jan Beich freebsd_committer 2015-07-26 18:18:37 UTC
Created attachment 159261 [details]
head_i386 poudriere bulk -t log
Comment 12 Jan Beich freebsd_committer 2015-07-26 18:20:25 UTC
See bug 201895 for an example consumer.
Comment 13 Jan Beich freebsd_committer 2015-07-28 05:10:55 UTC
Created attachment 159329 [details]
102amd64 poudriere bulk -t log
Comment 14 commit-hook freebsd_committer 2015-08-16 02:53:46 UTC
A commit references this bug:

Author: jbeich
Date: Sun Aug 16 02:52:47 UTC 2015
New revision: 394383
URL: https://svnweb.freebsd.org/changeset/ports/394383

Log:
  archivers/zopfli: update to 1.0.0.31 (snapshot)

  Changes:	https://github.com/google/zopfli/compare/zopfli-1.0.0...6ff3ba2
  PR:		201894
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/archivers/zopfli/Makefile
  head/archivers/zopfli/distinfo
  head/archivers/zopfli/pkg-plist
Comment 15 Jan Beich freebsd_committer 2015-08-16 03:06:14 UTC
Thanks. Committed.